GNU Radio 2.x: Templateswigpy::PySequence_Iter< T, Reference > struct Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# swigpy::PySequence_Iter< T, Reference > Struct Template Reference

List of all members.

### template<class T, class Reference>
struct swigpy::PySequence_Iter< T, Reference >

## Public Types
typedef PySequence_Iter< T, Reference > | self
typedef std::random_access_iterator_tag | iterator_category
typedef Reference | reference
typedef T | value_type
typedef T * | pointer
typedef int | difference_type
## Public Member Functions
| PySequence_Iter ()
| PySequence_Iter (PyObject *seq, int index)
reference | operator * () const
PySequence_ArrowProxy< T > | operator-> () const
bool | operator== (const self &ri) const
bool | operator!= (const self &ri) const
self & | operator++ ()
self & | operator-- ()
self & | operator+= (difference_type n)
self | operator+ (difference_type n) const
self & | operator-= (difference_type n)
self | operator- (difference_type n) const
difference_type | operator- (const self &ri) const
reference | operator[] (difference_type n) const

## Member Typedef Documentation

template<class T, class Reference>
typedef int swigpy::PySequence_Iter< T, Reference >::difference_type

template<class T, class Reference>
typedef std::random_access_iterator_tag swigpy::PySequence_Iter< T, Reference >::iterator_category

template<class T, class Reference>
typedef T* swigpy::PySequence_Iter< T, Reference >::pointer

template<class T, class Reference>
typedef Reference swigpy::PySequence_Iter< T, Reference >::reference

template<class T, class Reference>
typedef PySequence_Iter<T, Reference > swigpy::PySequence_Iter< T, Reference >::self

template<class T, class Reference>
typedef T swigpy::PySequence_Iter< T, Reference >::value_type

## Constructor & Destructor Documentation

template<class T, class Reference>
swigpy::PySequence_Iter< T, Reference >::PySequence_Iter | ( |  | ) | `[inline]`

template<class T, class Reference>
swigpy::PySequence_Iter< T, Reference >::PySequence_Iter | ( | PyObject * | seq,
|  | int | index
| ) | `[inline]`

## Member Function Documentation

template<class T, class Reference>
reference swigpy::PySequence_Iter< T, Reference >::operator * | ( |  | ) | const`[inline]`

template<class T, class Reference>
bool swigpy::PySequence_Iter< T, Reference >::operator!= | ( | const self & | ri | ) | const`[inline]`

template<class T, class Reference>
self swigpy::PySequence_Iter< T, Reference >::operator+ | ( | difference_type | n | ) | const`[inline]`

template<class T, class Reference>
self& swigpy::PySequence_Iter< T, Reference >::operator++ | ( |  | ) | `[inline]`

template<class T, class Reference>
self& swigpy::PySequence_Iter< T, Reference >::operator+= | ( | difference_type | n | ) | `[inline]`

template<class T, class Reference>
difference_type swigpy::PySequence_Iter< T, Reference >::operator- | ( | const self & | ri | ) | const`[inline]`

template<class T, class Reference>
self swigpy::PySequence_Iter< T, Reference >::operator- | ( | difference_type | n | ) | const`[inline]`

template<class T, class Reference>
self& swigpy::PySequence_Iter< T, Reference >::operator-- | ( |  | ) | `[inline]`

template<class T, class Reference>
self& swigpy::PySequence_Iter< T, Reference >::operator-= | ( | difference_type | n | ) | `[inline]`

template<class T, class Reference>
PySequence_ArrowProxy<T> swigpy::PySequence_Iter< T, Reference >::operator-> | ( |  | ) | const`[inline]`

template<class T, class Reference>
bool swigpy::PySequence_Iter< T, Reference >::operator== | ( | const self & | ri | ) | const`[inline]`

template<class T, class Reference>
reference swigpy::PySequence_Iter< T, Reference >::operator[] | ( | difference_type | n | ) | const`[inline]`

The documentation for this struct was generated from the following file:

- gnuradio_swig_python.cc